Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface RDBMSRealmMBean

public interface RDBMSRealmMBean
extends BasicRealmMBean

This mbean holds the RDBMSRealm's configuration properties. This mbean is associated with a CachingRealmMBean. The RDBMSRealm's mbean is hard-coded and is part of the product while the rest of the RDBMSRealm is an example which customers are free to change. However, they must live within the configuration parameters of this mbean.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDatabaseDriver()` Specifies database driver
`java.lang.String` | `getDatabasePassword()` Specifies database's password required for login
`java.lang.String` | `getDatabaseURL()` Specifies database's URL
`java.lang.String` | `getDatabaseUserName()` Specifies database's user name required for login
`java.lang.String` | `getRealmClassName()` Sets the realm's java class name.
`java.util.Properties` | `getSchemaProperties()` Specifies the schema properties (eg.
`void` | `setDatabaseDriver(java.lang.String driver)`
`void` | `setDatabasePassword(java.lang.String password)`
`void` | `setDatabaseURL(java.lang.String driver)`
`void` | `setDatabaseUserName(java.lang.String user)`
`void` | `setRealmClassName(java.lang.String className)`
`void` | `setSchemaProperties(java.util.Properties schemaProperties)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getRealmClassName

    public java.lang.String getRealmClassName()

  Sets the realm's java class name.
  Specified by:
    getRealmClassName in interface BasicRealmMBean

  Default Value: "examples.security.rdbmsrealm.RDBMSRealm" FIXME : moreaut@beasys.com 8/21/2000 - work around mbean parsing problem by repeating getter

### setRealmClassName

    public void setRealmClassName(java.lang.String className)
                           throws javax.management.InvalidAttributeValueException

### getDatabaseDriver

    public java.lang.String getDatabaseDriver()

  Specifies database driver

  Default Value: "COM.cloudscape.core.JDBCDriver"

### setDatabaseDriver

    public void setDatabaseDriver(java.lang.String driver)
                           throws javax.management.InvalidAttributeValueException

### getDatabaseURL

    public java.lang.String getDatabaseURL()

  Specifies database's URL

  Default Value: "jdbc:cloudscape:demo;create=true;autocommit=false"

### setDatabaseURL

    public void setDatabaseURL(java.lang.String driver)
                        throws javax.management.InvalidAttributeValueException

### getDatabaseUserName

    public java.lang.String getDatabaseUserName()

  Specifies database's user name required for login

### setDatabaseUserName

    public void setDatabaseUserName(java.lang.String user)
                             throws javax.management.InvalidAttributeValueException

### getDatabasePassword

    public java.lang.String getDatabasePassword()

  Specifies database's password required for login

### setDatabasePassword

    public void setDatabasePassword(java.lang.String password)
                             throws javax.management.InvalidAttributeValueException

### getSchemaProperties

    public java.util.Properties getSchemaProperties()

  Specifies the schema properties (eg. prepared statements) for manipulating the database Leave it as an open ended properties list so that as customers change the RDBMSRealm code, they can adjust the required properties

### setSchemaProperties

    public void setSchemaProperties(java.util.Properties schemaProperties)
                             throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD